package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthOnethingDetail
* date: 2021-9-23 16:22:50
*/
public class YthOnethingDetailEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1632385370714L;


    /**
    * 材料提交id
    */
    private Long oneThingId;

    /**
    * 事项id
    */
    private Long matterId;

    /**
    * 材料id
    */
    private Long datumId;

    /**
    * 附件名称
    */
    private String fileName;

    /**
    * 附件地址
    */
    private String filepath;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public YthOnethingDetailEntity(){

    }
    /**
    * 获取 材料提交id
    * @return oneThingId
    */
    public Long getOneThingId() {
        return this.oneThingId;
    }
    /**
    * 设置 材料提交id
    * @param oneThingId
    */
    public void setOneThingId(Long oneThingId) {
        this.oneThingId = oneThingId;
    }
    /**
    * 获取 事项id
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项id
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 材料id
    * @return datumId
    */
    public Long getDatumId() {
        return this.datumId;
    }
    /**
    * 设置 材料id
    * @param datumId
    */
    public void setDatumId(Long datumId) {
        this.datumId = datumId;
    }
    /**
    * 获取 附件名称
    * @return fileName
    */
    public String getFileName() {
        return this.fileName;
    }
    /**
    * 设置 附件名称
    * @param fileName
    */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
    /**
    * 获取 附件地址
    * @return filepath
    */
    public String getFilepath() {
        return this.filepath;
    }
    /**
    * 设置 附件地址
    * @param filepath
    */
    public void setFilepath(String filepath) {
        this.filepath = filepath;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthOnethingDetailEntity) {
            YthOnethingDetailEntity tmp = (YthOnethingDetailEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",oneThingId:").append(getOneThingId())
                .append(",matterId:").append(getMatterId())
                .append(",datumId:").append(getDatumId())
                .append(",fileName:").append(getFileName())
                .append(",filepath:").append(getFilepath())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.oneThingId = null;
         this.matterId = null;
         this.datumId = null;
         this.fileName = null;
         this.filepath = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}